# Open GL occlusion query demo

## Overview
This repo contains the source for an applicaiton that renders triangles using Open GL, saves the output as a PNG, and outputs the number of shaded fragments via an occlusion query. This applicaiton is used as a reference for implementing occlusion queries for Vulkan on Turnip.

## Instructions
- Enter the CrOS chroot and set up the boards you want to test against (`setup_board --board=${BOARD}`). 
- Emerge mesa, and libpng to the device under test (`emerge media-libs/mesa libpng && cros deploy ${IP_ADDR} ${PACKAGES}`).
- `make shaders`
- `target={local, atlas (i915), cheza (adreno)} make`
