#version 310 es

precision mediump float;

layout(location = 0) out vec3 fragColor;

vec3 positions[6] = vec3[](
    vec3(0.5, -0.5, 0.5),
    vec3(0.5, 0.5, 0.5),
    vec3(-0.5, 0.5, 0.5),
    vec3(-0.5, -0.5, 0.6),
    vec3(0.5, 0.5, 0.6),
    vec3(-0.5, 0.5, 0.6)
);

vec3 colors[6] = vec3[](
    vec3(1.0, 0.0, 0.0),
    vec3(1.0, 0.0, 0.0),
    vec3(1.0, 0.0, 0.0),
    vec3(0.0, 1.0, 0.0),
    vec3(0.0, 1.0, 0.0),
    vec3(0.0, 1.0, 0.0)
);

void main() {
    gl_Position = vec4(positions[gl_VertexID], 1.0);
    fragColor = colors[gl_VertexID];
}
